package com.hd.wallpaper.free.walls.utils;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.hd.wallpaper.free.walls.MyWallpaper;
import com.hd.wallpaper.free.walls.R;


public class CustomerTv extends androidx.appcompat.widget.AppCompatTextView {


    public CustomerTv(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }


    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.CustomeTv);
        boolean aBoolean = typedArray.getBoolean(R.styleable.CustomeTv_apply_font,false);
        if(aBoolean){
            setTypeface(MyWallpaper.defaultFont);
        }

        typedArray.recycle();
    }



}
